{{ define "title" }}
  {{ if eq .Data.Singular "tag" }}Tag → {{ .Data.Term }}
  {{ else if eq .Data.Singular "category" }}Category → {{ .Data.Term }}
  {{ else }}Posts{{ end }}
  {{ if isset .Site.Params "seotitle" }} | {{ .Site.Params.seotitle }}{{ else }} | {{ .Site.Title }}{{ end }}
{{ end }}

{{ define "main" }}
  <section class="main article-list-header">
    <header class="list-header offscreen">
      <h2 class="list-label">Articles</h2>
    </header>
    <div class="post-list">
      <h2>Articles</h2>
        <p>Below is a list of articles and a brief summary of each.</p>
        {{ $paginator := .Paginate (where .Data.Pages "Type" "article") (index .Site.Params "paginate" | default 10) }}
        {{ if ne $paginator.TotalPages 0 }}
          {{ range $paginator.Pages.ByDate.Reverse }}
              <a class="link-to-article btn paper paper-raise" href="{{ .Permalink }}">[{{ .Params.Difficulty }}]  {{ .Title }} - {{ .Params.summary }}</a><p></p>
        {{ end }}
    {{ else }}
      <p>I'm afraid there is nothing here. =()</p>
    {{ end }}
    </div>
    {{ if gt $paginator.TotalPages 1 }}
      <footer class="list-footer">
        <nav class="pagination">
          <h3 class="offscreen">Pagination</h3>
          {{ if $paginator.HasPrev }}
            <a class="pagination-previous" href="{{ $paginator.Prev.URL }}">← Newer Posts</a>
          {{ end }}
          {{ if $paginator.HasNext }}
            <a class="pagination-next" href="{{ $paginator.Next.URL }}">Older Posts →</a>
          {{ end }}
        </nav>
      </footer>
    {{ end }}
  </section>
  {{ partial "footer.html" . }}
{{ end }}
